vec = (-M/2:M/2 - 1)*2*pi/M;
figure; plot(vec, abs(Y1(:, 6))); grid;
ax = gca;
ax.XTick = pi*linspace(-1, 1, 5);
ax.XMinorTick = 'on';
ax.XTickLabel = {'-\pi', '-0.5\pi', '0', '0.5\pi', '\pi'};
% title([' freq of FIR filter: Nshift = ', num2str(Nshift), '. ']);
xlabel(' \phi (rad) ');
title(' R(\phi) ');

figure; plot(vec, abs(fssfp(:, 6))); grid;
ax = gca;
ax.XTick = pi*linspace(-1, 1, 5);
ax.XMinorTick = 'on';
ax.XTickLabel = {'-\pi', '-0.5\pi', '0', '0.5\pi', '\pi'};
% title([' freq of FIR filter: Nshift = ', num2str(Nshift), '. ']);
xlabel(' \phi (rad) ');
title(' F(\phi) ');

FA_vec = linspace(0.1, 20, 1000);
figure;
plot(FA_vec, FAtoNorm);
grid on;
xlabel(' FA, deg ');
title(' || C - L\beta || ')
